Package org.flowable.bpmn.model

# Interface HasExtensionAttributes

All Known Implementing Classes:
  `AbstractFlowableHttpHandler`, `Activity`, `AdhocSubProcess`, `AlfrescoMailTask`, `AlfrescoScriptTask`, `AlfrescoStartEvent`, `AlfrescoUserTask`, `Artifact`, `Assignment`, `Association`, `BaseElement`, `BooleanDataObject`, `BoundaryEvent`, `BusinessRuleTask`, `CallActivity`, `CancelEventDefinition`, `CaseServiceTask`, `CollectionHandler`, `CompensateEventDefinition`, `ComplexGateway`, `ConditionalEventDefinition`, `CustomProperty`, `DataAssociation`, `DataGridField`, `DataObject`, `DataSpec`, `DataStore`, `DataStoreReference`, `DateDataObject`, `DoubleDataObject`, `EndEvent`, `ErrorEventDefinition`, `Escalation`, `EscalationEventDefinition`, `Event`, `EventDefinition`, `EventGateway`, `EventListener`, `EventSubProcess`, `ExclusiveGateway`, `ExtensionElement`, `ExternalWorkerServiceTask`, `FieldExtension`, `FlowableHttpRequestHandler`, `FlowableHttpResponseHandler`, `FlowableListener`, `FlowElement`, `FlowNode`, `FormAwareServiceTask`, `FormProperty`, `FormValue`, `Gateway`, `HttpServiceTask`, `Import`, `InclusiveGateway`, `IntegerDataObject`, `Interface`, `IntermediateCatchEvent`, `IOParameter`, `IOSpecification`, `ItemDefinition`, `JsonDataObject`, `Lane`, `LongDataObject`, `ManualTask`, `Message`, `MessageEventDefinition`, `MessageFlow`, `MultiInstanceLoopCharacteristics`, `Operation`, `ParallelGateway`, `Pool`, `Process`, `ReceiveTask`, `Resource`, `ScriptInfo`, `ScriptTask`, `SendEventServiceTask`, `SendTask`, `SequenceFlow`, `ServiceTask`, `Signal`, `SignalEventDefinition`, `StartEvent`, `StringDataObject`, `SubProcess`, `Task`, `TaskWithFieldExtensions`, `TerminateEventDefinition`, `TextAnnotation`, `ThrowEvent`, `TimerEventDefinition`, `Transaction`, `UserTask`, `ValuedDataObject`, `VariableListenerEventDefinition`

public interface HasExtensionAttributes
Interface for accessing Element attributes.

Author:
  Martin Grofcik

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttribute(ExtensionAttribute attribute)`
  add attribute to the object
  `Map<String,List<ExtensionAttribute>>`
  `getAttributes()`
  get element's attributes
  `String`
  `getAttributeValue(String namespace, String name)`
  return value of the attribute from given namespace with given name.
  `void`
  `setAttributes(Map<String,List<ExtensionAttribute>> attributes)`
  set all object's attributes

- ## Method Details

  - ### getAttributes

    Map<String,List<ExtensionAttribute>> getAttributes()
    get element's attributes

  - ### getAttributeValue

    String getAttributeValue(String namespace, String name)
    return value of the attribute from given namespace with given name.
    Parameters:
      `namespace` -
      `name` -
    Returns:
      attribute value or null in case when attribute was not found

  - ### addAttribute

    void addAttribute(ExtensionAttribute attribute)
    add attribute to the object

  - ### setAttributes

    void setAttributes(Map<String,List<ExtensionAttribute>> attributes)
    set all object's attributes